---
- name: Create image cleanup script
  ansible.builtin.template:
    src: docker_image_cleanup.sh.j2
    dest: "{{ docker_image_cleanup_script }}"
    mode: "0700"

- name: Add cron job for docker images prune
  ansible.builtin.lineinfile:
    path: /etc/crontab
    regexp: '(docker image prune|docker_image_cleanup)'
    line: "30 */{{ docker_image_cleanup_hours }}     * * *   root    {{ docker_image_cleanup_script }} >> {{ docker_image_cleanup_log }}"
  become: true
  notify:
    - Restart cron
